pub type Degrees = f64;

pub type IntMeters = i32;
pub type FloatMeters = f64;
pub type FloatKilometers = f64;

pub trait ConvertibleMetric {
    fn from_km(km: FloatKilometers) -> Self;
    fn to_km(&self) -> FloatKilometers;
}

impl ConvertibleMetric for FloatMeters {
    fn from_km(km: FloatKilometers) -> Self {
        km * 1000.0
    }

    fn to_km(&self) -> FloatKilometers {
        self / 1000.0
    }
}
